# Class VariantWithScore

java.lang.Object
org.snpeff.interval.Interval
org.snpeff.interval.Marker
org.snpeff.interval.Variant
org.snpeff.interval.VariantWithScore

All Implemented Interfaces:
  `Serializable, Cloneable, Comparable<Interval>, TxtSerializable`

public class VariantWithScore extends Variant
A variant that has a numeric score.

Author:
  pcingola
See Also:
  - Serialized Form

## Nested Class Summary

### Nested classes/interfaces inherited from class Variant

`Variant.VariantType`

## Field Summary

### Fields inherited from class Variant

`alt, genotype, HUGE_DELETION_RATIO_THRESHOLD, HUGE_DELETION_SIZE_THRESHOLD, imprecise, NO_VARIANT, ref, variantType`

### Fields inherited from class Marker

`type`

### Fields inherited from class Interval

`chromosomeNameOri, end, id, parent, start, strandMinus`

## Constructor Summary

Constructors
Constructor
Description
`VariantWithScore()`
`VariantWithScore(Marker parent, int start, int end, String id, double score)`

## Method Summary

Modifier and Type
Method
Description
`VariantWithScore`
`cloneShallow()`
Perform a shallow clone
`double`
`getScore()`
`void`
`setScore(double score)`

### Methods inherited from class Variant

`clone, compareTo, decompose, factory, getAlt, getGenotype, getReference, getVariantType, hashCode, isBnd, isDel, isDup, isElongation, isImprecise, isInDel, isIns, isInterval, isInv, isMixed, isMnp, isNonRef, isShowWarningIfParentDoesNotInclude, isSnp, isStructural, isStructuralHuge, isTruncation, isVariant, lengthChange, netChange, netChange, realignLeft, reverse, setGenotype, setImprecise, setVariantType, toString, toStringEnsembl, toStringOld`

### Methods inherited from class Marker

`adjust, apply, applyDel, applyDup, applyIns, applyMixed, codonTable, compareToPos, distance, distanceBases, getParent, getType, idChain, idChain, idChain, includes, intersect, isAdjustIfParentDoesNotInclude, isDeferredAnalysis, minus, query, query, readTxt, serializeParse, serializeSave, shouldApply, union, variantEffect, variantEffectNonRef`

### Methods inherited from class Interval

`equals, findParent, getChromosome, getChromosomeName, getChromosomeNameOri, getChromosomeNum, getEnd, getGenome, getGenomeName, getId, getStart, getStrand, intersects, intersects, intersects, intersects, intersectSize, isCircular, isSameChromo, isStrandMinus, isStrandPlus, isValid, setChromosomeNameOri, setEnd, setId, setParent, setStart, setStrandMinus, shiftCoordinates, size, toStr, toStringAsciiArt, toStrPos`

### Methods inherited from class Object

`equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### VariantWithScore

public VariantWithScore()

### VariantWithScore

public VariantWithScore(Marker parent, int start, int end, String id, double score)

## Method Details

### cloneShallow

public VariantWithScore cloneShallow()
Description copied from class: `Marker`
Perform a shallow clone

Overrides:
  `cloneShallow` in class `Variant`

### getScore

public double getScore()

### setScore

public void setScore(double score)